.TH "mca_btl_mvapi_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_mvapi_component_t \- Infiniband (IB) BTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_mvapi.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL component \fP"
.ti -1c
.RI "uint32_t \fBib_num_btls\fP"
.br
.RI "\fInumber of hcas available to the IB component \fP"
.ti -1c
.RI "\fBmca_btl_mvapi_module_t\fP * \fBmvapi_btls\fP"
.br
.RI "\fIarray of available PTLs \fP"
.ti -1c
.RI "int \fBib_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBib_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBib_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBib_procs\fP"
.br
.RI "\fIlist of ib proc structures \fP"
.ti -1c
.RI "opal_event_t \fBib_send_event\fP"
.br
.RI "\fIevent structure for sends \fP"
.ti -1c
.RI "opal_event_t \fBib_recv_event\fP"
.br
.RI "\fIevent structure for recvs \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBib_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.ti -1c
.RI "char * \fBib_mpool_name\fP"
.br
.RI "\fIname of ib memory pool \fP"
.ti -1c
.RI "int32_t \fBrd_num\fP"
.br
.RI "\fIthe number of receive descriptors to post to each queue pair \fP"
.ti -1c
.RI "int32_t \fBrd_low\fP"
.br
.RI "\fIlow water mark to reach before posting additional receive descriptors \fP"
.ti -1c
.RI "int32_t \fBrd_win\fP"
.br
.RI "\fIack credits when window size exceeded \fP"
.ti -1c
.RI "int32_t \fBrd_rsv\fP"
.br
.RI "\fIdescriptors held in reserve for control messages \fP"
.ti -1c
.RI "int32_t \fBsrq_sd_max\fP"
.br
.ti -1c
.RI "int32_t \fBsrq_rd_max\fP"
.br
.ti -1c
.RI "int32_t \fBsrq_rd_per_peer\fP"
.br
.RI "\fIthe number of recv desc posted per log(peer) in SRQ mode \fP"
.ti -1c
.RI "size_t \fBeager_limit\fP"
.br
.ti -1c
.RI "size_t \fBmax_send_size\fP"
.br
.ti -1c
.RI "uint32_t \fBreg_mru_len\fP"
.br
.ti -1c
.RI "uint32_t \fBuse_srq\fP"
.br
.ti -1c
.RI "uint32_t \fBib_cq_size\fP"
.br
.RI "\fIMax outstanding CQE on the CQ. \fP"
.ti -1c
.RI "uint32_t \fBib_wq_size\fP"
.br
.RI "\fIMax outstanding WR on the WQ. \fP"
.ti -1c
.RI "uint32_t \fBib_sg_list_size\fP"
.br
.RI "\fIMax scatter/gather descriptor entries on the WQ. \fP"
.ti -1c
.RI "uint32_t \fBib_pkey_ix\fP"
.br
.ti -1c
.RI "uint32_t \fBib_psn\fP"
.br
.ti -1c
.RI "uint32_t \fBib_qp_ous_rd_atom\fP"
.br
.ti -1c
.RI "uint32_t \fBib_mtu\fP"
.br
.ti -1c
.RI "uint32_t \fBib_min_rnr_timer\fP"
.br
.ti -1c
.RI "uint32_t \fBib_timeout\fP"
.br
.ti -1c
.RI "uint32_t \fBib_retry_count\fP"
.br
.ti -1c
.RI "uint32_t \fBib_rnr_retry\fP"
.br
.ti -1c
.RI "uint32_t \fBib_max_rdma_dst_ops\fP"
.br
.ti -1c
.RI "uint32_t \fBib_service_level\fP"
.br
.ti -1c
.RI "uint32_t \fBib_static_rate\fP"
.br
.ti -1c
.RI "uint32_t \fBib_src_path_bits\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Infiniband (IB) BTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
